%define url_ver %(echo %{version}|cut -d. -f1,2)

%define build_bootstrap	0
%define api 1.0
%define major 1
%define libname %mklibname girepository %{api} %{major}
%define develname %mklibname -d girepository

Summary:	GObject Introspection
Name:		gobject-introspection
Version:	1.32.1
Release:	1
License:	GPLv2+, LGPLv2+, MIT
Group:		Development/C
Url:		http://live.gnome.org/GObjectIntrospection
Source0:	http://ftp.acc.umu.se/pub/GNOME/sources/gobject-introspection/%{url_ver}/%{name}-%{version}.tar.xz
# gi-find-deps.sh is a rpm helper for Provides and Requires. Script creates typelib()-style Provides/Requires.
Source1:	gi-find-deps.sh
Source2:	typelib.macros
Source3:	gobject-introspection-typelib.template
# PATCH-FIX-UPSTREAM g-ir-dep-tool.patch bgo#665672 dimstar@opensuse.org -- Add g-ir-dep-tool to get further automatic dependencies.
Patch0:	g-ir-dep-tool.patch

BuildRequires:	bison
BuildRequires:	flex
BuildRequires:	libtool
# this could be removed if the typelib stuff is backported
BuildRequires:	rpm >= 5.4.7-14
BuildRequires:	pkgconfig(cairo)
BuildRequires:	pkgconfig(cairo-gobject)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gio-unix-2.0)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gmodule-2.0)
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gthread-2.0)
BuildRequires:	pkgconfig(libffi)
BuildRequires:	pkgconfig(python)
# these are needed by the g-ir-dep-tool
%if !%{build_bootstrap}
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 1.32.0
BuildRequires:	gobject-introspection >= 1.32.0-2
%endif

Requires:	%{libname} = %{version}-%{release}
Conflicts:	%mklibname girepository 1.0 0 < 0.6.10-5
%rename		gir-repository

# Provide typelib() symbols based on gobject-introspection-typelib.template
# The template is checked during install if it matches the installed *.typelib files.
%if %{build_bootstrap}
%(cat %{SOURCE3} | awk '{ print "Provides: " $0}')
%endif

%description
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %{libname}
Group:		System/Libraries
Summary:	GObject Introspection shared library
Conflicts:	%{name} < 0.6.8-2

%description -n %{libname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%package -n %{develname}
Group:		Development/C
Summary:	GObject Introspection development libraries
# these two pkgs are needed for typelib requires generation
Requires:	%{name} = %{version}-%{release}
Requires:	%{libname} = %{version}-%{release}
#gw /usr/bin/libtool is called in giscanner
Requires:	libtool
Provides:	libgirepository-devel = %{version}-%{release}
Provides:	girepository-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
The goal of the project is to describe the APIs and  collect them in
a uniform, machine readable format.

%prep
%setup -q
%apply_patches

%build
autoreconf -fi
%configure2_5x \
	--disable-static

%make

%install
%makeinstall_std
install -D %{SOURCE1} %{buildroot}%{_rpmhome}/gi-find-deps.sh
install -D %{SOURCE2} -m 0644 %{buildroot}%{_rpmhome}/macros.d/typelib

# comparing, if we provide all the symbols expected.
%if %{build_bootstrap}
ls %{buildroot}%{_libdir}/girepository-1.0/*.typelib | sh %{SOURCE1} -P > gobject-introspection-typelib.installed
diff -s %{SOURCE3} gobject-introspection-typelib.installed
%endif

%check
make check

%define typelibnames DBus-1.0 DBusGLib-1.0 GIRepository-2.0 GL-1.0 GLib-2.0 GModule-2.0 GObject-2.0 Gio-2.0 cairo-1.0 fontconfig-2.0 freetype2-2.0 libxml2-2.0 xfixes-4.0 xft-2.0 xlib-2.0 xrandr-1.3

%files
%doc README
%dir %{_libdir}/girepository-%{api}
%(for typelibname in %{typelibnames}; do
	echo "%{_libdir}/girepository-%{api}/$typelibname.typelib"
done)

%files -n %{libname}
%{_libdir}/libgirepository-%{api}.so.%{major}*

%files -n %{develname}
%doc ChangeLog TODO NEWS AUTHORS
%{_bindir}/g-ir-annotation-tool
%{_bindir}/g-ir-compiler
%{_bindir}/g-ir-dep-tool
%{_bindir}/g-ir-generate
%{_bindir}/g-ir-scanner
%{_libdir}/%{name}
%{_libdir}/libgirepository-%{api}.so
%{_libdir}/pkgconfig/*.pc
%{_includedir}/%{name}-%{api}
%{_datadir}/aclocal/*.m4
%{_datadir}/%{name}-%{api}
%{_datadir}/gtk-doc/html/gi
%dir %{_datadir}/gir-%{api}
%(for typelibname in %{typelibnames}; do
	echo "%{_datadir}/gir-%{api}/$typelibname.gir"
done)
%{_rpmhome}/gi-find-deps.sh
%{_rpmhome}/macros.d/typelib
%{_mandir}/man1/*


%changelog
* Sun May 06 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.32.1-1
+ Revision: 797159
- new version 1.32.1

* Tue Apr 24 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.32.0-6
+ Revision: 793090
- rebuild fixing RPM_BUILD_ROOT for gi-find-deps.sh requires

* Mon Apr 23 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.32.0-5
+ Revision: 793007
- bump for new rpm
- rebuild force build with new rpm

* Sat Apr 21 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.32.0-3
+ Revision: 792641
- rebuild ready for typelib provided and requires generation
- added bootstrap build condition

* Wed Apr 04 2012 Matthew Dawkins <mattydaw@mandriva.org> 1.32.0-2
+ Revision: 789108
- rebuild for typelib provide and require generation
- adapted from opensuse

* Mon Apr 02 2012 Andrey Bondrov <abondrov@mandriva.org> 1.32.0-1
+ Revision: 788686
- New version 1.32.0

* Sat Dec 03 2011 Zé <ze@mandriva.org> 1.31.0-1
+ Revision: 737522
- 1.31.0
- fix license, URL and source path
- > - add provides for girepository-devel
  > - rebuild for new glib2
- rebuild

* Wed Nov 23 2011 Zé <ze@mandriva.org> 1.30.0-2
+ Revision: 732712
- remove useless buildrequires (gnome-common)
- fix buildrequire on ffi so that can be used the one from gcc (and thus avoid conflicts to the builder)
- some line-ups

* Fri Nov 18 2011 Matthew Dawkins <mattydaw@mandriva.org> 1.30.0-1
+ Revision: 731634
- fixed define
- removed unneeded commented out BRs
- removed unneeded patch0
- new version (stable) 1.30.0
- cleaned up spec
- removed defattr
- removed .la files
- removed clean section
- removed git build option
- removed reqs for main pkg by lib & devel pkgs
- converted BRs to pkgconfig provides
- removed mkrel
- removed BuildRoot

* Thu Apr 21 2011 Götz Waschk <waschk@mandriva.org> 0.10.8-1
+ Revision: 656525
- update to new version 0.10.8

* Mon Apr 04 2011 Götz Waschk <waschk@mandriva.org> 0.10.7-1
+ Revision: 650376
- new version

* Sat Mar 26 2011 Götz Waschk <waschk@mandriva.org> 0.10.6-1
+ Revision: 648561
- update to new version 0.10.6

* Tue Mar 22 2011 Funda Wang <fwang@mandriva.org> 0.10.4-2
+ Revision: 647524
- more linkage fix

* Tue Mar 22 2011 Götz Waschk <waschk@mandriva.org> 0.10.4-1
+ Revision: 647504
- new version
- rediff patch 0
- drop patch 2
- reenable checks at build time

* Thu Dec 16 2010 Funda Wang <fwang@mandriva.org> 0.9.12-2mdv2011.0
+ Revision: 622231
- rebuild

* Thu Oct 07 2010 Götz Waschk <waschk@mandriva.org> 0.9.12-1mdv2011.0
+ Revision: 583918
- update to new version 0.9.12

* Fri Oct 01 2010 Götz Waschk <waschk@mandriva.org> 0.9.10-1mdv2011.0
+ Revision: 582272
- new version

* Wed Sep 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.8-1mdv2011.0
+ Revision: 581974
- new version
- use tarball generated from git checkout (b.g.o 629871)

* Tue Sep 28 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-1mdv2011.0
+ Revision: 581888
- new version 0.9.7

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.9.7-0.20100920.1mdv2011.0
+ Revision: 579937
- disable checks again
- new snapshot
- rediff patch 0
- drop patch 1
- reenable checks

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-5mdv2011.0
+ Revision: 579739
- update patch 2 for libgda

* Sat Sep 18 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-4mdv2011.0
+ Revision: 579618
- add workaround for building libgnome-keyring wrapper

* Tue Sep 14 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-3mdv2011.0
+ Revision: 578300
- patch to readd --strip-prefix option

* Sun Sep 12 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-2mdv2011.0
+ Revision: 577675
- add conflict with old gir-repository

* Sat Sep 11 2010 Götz Waschk <waschk@mandriva.org> 0.9.5-1mdv2011.0
+ Revision: 577166
- new version
- update patch
- disable checks
- update file list

* Wed Aug 04 2010 Funda Wang <fwang@mandriva.org> 0.9.3-1mdv2011.0
+ Revision: 565645
- new verison 0.9.3
- fix linkage (gnome#625995)

* Thu Jul 29 2010 Götz Waschk <waschk@mandriva.org> 0.9.2-1mdv2011.0
+ Revision: 563095
- new version
- new major
- drop patches
- bump glib dep
- update file list

* Mon Jul 12 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-5mdv2011.0
+ Revision: 551275
- rearrange packaging to ease upgrades

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.6.10-4mdv2010.1
+ Revision: 540042
- rebuild so that shared libraries are properly stripped again
- rebuild so that shared libraries are properly stripped again

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-3mdv2010.1
+ Revision: 536518
- fix build without having gobject-introspection installed

* Sun Apr 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.10-2mdv2010.1
+ Revision: 536495
- fix build dep
- new version
- add gimarshallingtests library

* Fri Mar 19 2010 Götz Waschk <waschk@mandriva.org> 0.6.9-2mdv2010.1
+ Revision: 525202
- update to new version 0.6.9

* Thu Mar 18 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-2mdv2010.1
+ Revision: 524911
- move typelib files to library package

* Wed Mar 10 2010 Götz Waschk <waschk@mandriva.org> 0.6.8-1mdv2010.1
+ Revision: 517409
- update to new version 0.6.8

* Thu Dec 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.7-1mdv2010.1
+ Revision: 479676
- new version
- update file list
- drop patch 0

* Fri Dec 11 2009 Götz Waschk <waschk@mandriva.org> 0.6.6-1mdv2010.1
+ Revision: 476448
- fix crash on x86_64 (b.g.o #604074)
- update to new version 0.6.6

* Sat Sep 05 2009 Götz Waschk <waschk@mandriva.org> 0.6.5-1mdv2010.0
+ Revision: 432060
- new version

* Tue Aug 25 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-1mdv2010.0
+ Revision: 420769
- new version
- update deps
- reenable checks

* Mon Aug 17 2009 Götz Waschk <waschk@mandriva.org> 0.6.4-0.20090817.1mdv2010.0
+ Revision: 417191
- new snapshot to make the scanner handle uninstalled libs better
- fix file list

* Mon Aug 10 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-2mdv2010.0
+ Revision: 414454
- add dep on libtool

* Mon Jun 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-1mdv2010.0
+ Revision: 388083
- new version

* Tue Jun 16 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090616.1mdv2010.0
+ Revision: 386312
- update build deps
- update file list
- new snapshot

* Mon May 18 2009 Götz Waschk <waschk@mandriva.org> 0.6.3-0.20090518.1mdv2010.0
+ Revision: 376840
- update build deps
- git snapshot
- drop patch 0
- rediff patch 1
- update file list
- disable --no-undefined

* Thu Jan 22 2009 Götz Waschk <waschk@mandriva.org> 0.6.2-1mdv2009.1
+ Revision: 332431
- update build deps
- new version
- add API version
- update file list

* Sun Jan 11 2009 Funda Wang <fwang@mandriva.org> 0.6.1-3mdv2009.1
+ Revision: 328252
- BR libtool
- let python module link against libpython
- fix str fmt

* Wed Nov 26 2008 Götz Waschk <waschk@mandriva.org> 0.6.1-1mdv2009.1
+ Revision: 306919
- fix build
- new version
- update file list
- fix source URL

* Sat Nov 01 2008 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2009.1
+ Revision: 299138
- new version
- update file list
- new library package for libgirepository-everything

* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
+ Revision: 293565
- import gobject-introspection


* Tue Oct 14 2008 Götz Waschk <waschk@mandriva.org> 0.5.1-0.r703.1mdv2009.1
- initial package
